
setwd("/Users/julie/Documents/Thesis/Data/Data S2")
### Data manipulation and organization - nothing changed from what Julie originally did ###

counts <- read.csv(file="beetrials.csv", na.strings = (''),header=T)
counts$bee.id <- as.factor(counts$bee.id) # make bee ID a factor

wings <- read.csv(file="wings.csv", na.strings = (''), header=T)
wings$bee.id<- as.factor(wings$bee.id)
is.numeric(wings$mm)

### merge wing data and main data frame ###
counts.wings <- merge (counts, wings, by=c("bee.id"))
str(counts.wings)
### turn bee size, pollen, and nectar consumption and anabasine/nicotineconsumption into z-scores
counts.wings$mm <- scale (counts.wings$mm, center=TRUE, scale=TRUE)
counts.wings$pol.cons.scaled <- scale (counts.wings$pol.cons, center=TRUE, scale=TRUE)
counts.wings$nec.cons.scaled <- scale (counts.wings$nec.cons, center=TRUE, scale=TRUE)


counts.wings$ana.cons.scaled <- scale (counts.wings$ana.cons, center=TRUE, scale=TRUE)
counts.wings$nic.cons.scaled <- scale (counts.wings$nic.cons, center=TRUE, scale=TRUE)

#conditional boxpolot


counts.wings$Groups <-as.factor(paste(counts.wings$amf,counts.wings$fert))
par(mfrow=c(1,1),mar=c(5,3,1,1),mgp=c(2,0.75,0))
plot(nec.cons.scaled~Groups, counts.wings, ylim=c(-3,3), pch=21, cex=1, cex.axis=0.75, ylab="Pollen consumption")
plot(pol.cons.scaled~Groups, counts.wings, ylim=c(-3,3), pch=21, cex=1, cex.axis=0.75, ylab="Pollen consumption")

plot(nec.cons~Groups, cons2, ylim=c(0,2.3), pch=21, cex=1, cex.axis=0.75, ylab="Nectar consumption")


## relevel to have control as reference level
counts.wings$treat.x <- relevel(counts.wings$treat.x, ref="C")

table(counts.wings$treat.x)

# complete cases
counts.wings <- counts.wings[complete.cases(counts.wings$count), ] 
counts.wings <- counts.wings[complete.cases(counts.wings$polwt2), ] 
counts.wings <- counts.wings[complete.cases(counts.wings$mm), ] 

counts.wings <- counts.wings[complete.cases(counts.wings$mm), ] 
counts.wings = counts.wings[counts.wings$pol.cons > 0,]


# see if tobacco vs control diet matters
library(MASS)
tobconmod1 <-  glm.nb (count  ~  colony + mm +inoc.date.x +nec.cons.scaled+pol.cons.scaled, data = counts.wings)
tobconmod2<- glm.nb (count  ~ diet + colony + mm +inoc.date.x + nec.cons.scaled + pol.cons.scaled, data = counts.wings)
AIC(tobconmod1, tobconmod2)
anova(tobconmod1,tobconmod2, test="Chisq")
summary(tobconmod2)
#tobacco vs control does not differ


##################### now, let's see what the effect of diet was when we remove control
nocontrol <-  subset(counts.wings, treat.x != "C")
levels(nocontrol$treat.x)
nocontrol$treat.x<-factor(nocontrol$treat.x)
nocontrol$amf<-factor(nocontrol$amf)
nocontrol$fert<-factor(nocontrol$fert)


nocontrol$bee.id <- as.factor(nocontrol$bee.id)
nocontrol$mm <- as.numeric(nocontrol$mm)
nocontrol$mm <- scale (nocontrol$mm, center=TRUE, scale=TRUE)
nocontrol$count <- as.numeric(nocontrol$count)
as.factor(nocontrol$amf)



### 
cm <- pairs(nocontrol[,c("mm","pol.cons.scaled","nec.cons.scaled")])

# ### test for effects of diet on consumption without control

counts2nb.null<- glm.nb (count  ~  colony  + mm + pol.cons.scaled + nec.cons.scaled+nic.cons.scaled+ana.cons.scaled, data = nocontrol)
counts2nb.global<- glm.nb (count  ~  amf * fert + colony  + mm + pol.cons.scaled + nec.cons.scaled +nic.cons.scaled+ana.cons.scaled+ inoc.date.x, data = nocontrol)
counts2nb.global.add<- glm.nb (count  ~  amf + fert + colony  + mm + pol.cons.scaled + nec.cons.scaled+nic.cons.scaled+ana.cons.scaled, data = nocontrol)
counts2nb.nec <- glm.nb (count  ~  amf * fert + colony  + mm +  nec.cons.scaled, data = nocontrol)
counts2nb.pol <- glm.nb (count  ~  amf * fert + colony  + mm + pol.cons.scaled, data = nocontrol)
counts2nb.pol.add <- glm.nb (count  ~  amf + fert + colony  + mm + pol.cons.scaled, data = nocontrol)
counts2nb.nec.add <- glm.nb (count  ~  amf + fert + colony  + mm +  nec.cons.scaled, data = nocontrol)

counts2nb.pol.int.size <- glm.nb (count  ~  amf * fert + colony  + mm * pol.cons.scaled, data = nocontrol)
counts2nb.pol.int.diet <- glm.nb (count  ~  amf * fert*pol.cons.scaled + colony  + mm , data = nocontrol)
counts2nb.pol.int.amf <- glm.nb (count  ~  fert+amf *pol.cons.scaled + colony  + mm , data = nocontrol)
counts2nb.pol.int.fert <- glm.nb (count  ~  amf + fert*pol.cons.scaled + colony  + mm , data = nocontrol)

counts2nb1.WITHRELATIVE <- glm.nb (count  ~ amf * fert + colony + mm +ana.cons.scaled+nic.cons.scaled, data = nocontrol)

counts2nb1<- glm.nb (count  ~ amf * fert + colony + mm, data = nocontrol)
counts2nb2<- glm.nb (count  ~ amf + fert + colony + mm, data = nocontrol)
counts2nb3<- glm.nb (count  ~amf + fert + colony, data = nocontrol)
counts2nb4<- glm.nb (count  ~ amf + fert  + mm, data = nocontrol)
counts2nb5<- glm.nb (count  ~ amf * fert  + colony, data = nocontrol)
counts2nb6<- glm.nb (count  ~ amf * fert  + mm, data = nocontrol)
counts2nb7<- glm.nb (count  ~   fert  + mm, data = nocontrol)
counts2nb8<- glm.nb (count  ~ amf * fert  + inoc.date.x, data = nocontrol)
counts2nb9<- glm.nb (count  ~ amf * fert +  colony+inoc.date.x, data = nocontrol)
counts2nb10<- glm.nb (count  ~ amf + fert +  mm+colony+inoc.date.x, data = nocontrol)
counts2nb11<- glm.nb (count  ~ amf * fert + colony + mm+nic.cons.scaled+ana.cons.scaled, data = nocontrol)
counts2nb12<- glm.nb (count  ~ amf * fert + colony + mm+nic.cons.scaled*ana.cons.scaled, data = nocontrol)
counts2nb13<- glm.nb (count  ~ amf * fert + colony + mm+nic.cons.scaled, data = nocontrol)
counts2nb14<- glm.nb (count  ~ amf * fert + colony + mm+ana.cons.scaled, data = nocontrol)
counts2nb15<- glm.nb (count  ~  colony + mm+nic.cons.scaled*ana.cons.scaled, data = nocontrol)


AIC(counts2nb1.WITHRELATIVE,counts2nb11,counts2nb12,counts2nb13,counts2nb14,counts2nb15,counts2nb.nec.add,counts2nb.pol.int.amf,counts2nb.pol.int.fert, counts2nb.pol.int.diet,counts2nb.pol.int.size,counts2nb.null, counts2nb.pol.add,counts2nb.nec, counts2nb.pol,counts2nb.global,counts2nb.global.add,counts2nb1, counts2nb2,counts2nb3,counts2nb4,counts2nb5,counts2nb6,counts2nb7,counts2nb8,counts2nb9)

# counts2nb1 is the top model:

summary(counts2nb1)
summary(counts2nb1.WITHRELATIVE)
############
###########
521.2522-517.9128

counts2nb1<- glm.nb (count  ~ amf * fert + colony + mm, data = nocontrol)

# test VIF for top model without interaction, since interaction term will result in high VIF
vif(counts2nb2)
# VIF is less than 2 for all covariates.


## chi square goodness-of-fit test
devmod1 <- summary(counts2nb1)$deviance # deviance
d.o.f.mod1 <- summary(counts2nb1)$df.residual # residual deg. of freedom
#Chi-square test (>0.05 indicates adequate fit)
1 - pchisq(devmod1,d.o.f.mod1)
# adequate fit - p > 0.05 


# # post-hoc tests to confirm model output results

## build models excluding each covariate, then compare to top model with Chi-square:

counts2nb1.add<- glm.nb (count  ~ amf + fert + colony + mm, data = nocontrol)
counts2nb1.noamf<- glm.nb (count  ~  fert + colony + mm, data = nocontrol)
counts2nb1.nofert<- glm.nb (count  ~ amf  + colony + mm, data = nocontrol)
counts2nb1.nocolony<- glm.nb (count  ~ amf * fert  + mm, data = nocontrol)
counts2nb1.nomm<- glm.nb (count  ~ amf * fert + colony , data = nocontrol)


# is interaction significant
anova(counts2nb1, counts2nb1.add, test="Chisq")


#is amf significant
anova(counts2nb1.add, counts2nb1.noamf, test="Chisq")

# is fertilizer significant
anova(counts2nb1.add, counts2nb1.nofert, test="Chisq")

# is colony significant
anova(counts2nb1, counts2nb1.nocolony, test="Chisq")

# is bee size significant
anova(counts2nb1, counts2nb1.nomm, test="Chisq")




# remove treatment with low replication from the analysis and see if still get significant results
nolowfac <- subset(nocontrol, treat.x != "AL")
nolofa <- glm.nb (count  ~ amf + fert + colony + mm, data = nolowfac)
summary(nolofa)
nolofa.nofert <- glm.nb (count  ~ amf  + colony + mm, data = nolowfac)
nolofa.noamf<- glm.nb (count  ~   fert + colony + mm, data = nolowfac)

# is fertilizer significant
anova(nolofa, nolofa.nofert, test="Chisq")
# is AMF significant
anova(nolofa, nolofa.noamf, test="Chisq")

# to make reviewers happy, find estimated magnitude of difference, but since we don't find different results we are going to include AMF+/low fert in final analysis

library(emmeans)

fake.emms <- emmeans(nolofa,~ fert)
(summary(fake.emms))

fake.emms2 <- emmeans(nolofa,~ amf)
(summary(fake.emms2))


# ok now lets use the real model and estimate Crithidia counts
library(multcomp)
counts2nb1<- glm.nb (count  ~ amf * fert + colony + mm, data = nocontrol)

glht.mod.1 <- glht(counts2nb1)
summary(glht.mod.1, test=adjusted("fdr"))

library(lsmeans)
library(stats)


library(emmeans)
count.glm <-  glm.nb (count  ~ amf * fert + colony + mm, data = nocontrol)

count.glm.emm.s <- emmeans(count.glm,~ fert*amf)
(summary(count.glm.emm.s))


pairs(count.glm.emm.s)
summary(count.glm.emm.s, infer=TRUE, null=log(35))
summary(count.glm.emm.s, infer=TRUE, null=log(35), type="response")




# do pairwise comparisons only on comparisons you care about
# first do pairwise comparisons and set adjust to "none", then extract p values of
#comparisons you care about and adjust them with bonferonni correction
count.emm <- emmeans(count.glm, pairwise~ fert*amf, adjust="none")
count.emm
pvals = c(0.9752, 0.0263, 0.1855, 0.0025)
fdr = p.adjust(pvals, "fdr")
fdr


#Part 2:   compare Control to each of the other four AMF x fertilization treatment levels
#non-orthogonal contrasts to compare Control to each other treatment combination


# analyze with control
library(MASS)

# the below models dont have enough replication to converge:
m1<- glm.nb (count  ~  treat.x + colony  + mm + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m2<- glm.nb (count  ~  treat.x + colony  + mm + pol.cons.scaled + nec.cons.scaled , data = counts.wings)
m8<- glm.nb (count  ~  treat.x + colony  + mm  + nec.cons.scaled + inoc.date.x, data = counts.wings)
m9<- glm.nb (count  ~  treat.x + colony   + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m10<- glm.nb (count  ~  treat.x   + mm + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m11<- glm.nb (count  ~   colony  + mm + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m12<- glm.nb (count  ~  treat.x + colony  + mm  + nec.cons.scaled + inoc.date.x, data = counts.wings)
m13<- glm.nb (count  ~  treat.x + colony  + mm  + nec.cons.scaled , data = counts.wings)
m15<- glm.nb (count  ~  treat.x + colony    + nec.cons.scaled + inoc.date.x, data = counts.wings)
m16<- glm.nb (count  ~  treat.x   + mm  + nec.cons.scaled + inoc.date.x, data = counts.wings)
m17<- glm.nb (count  ~    colony  + mm  + nec.cons.scaled + inoc.date.x, data = counts.wings)
m18<- glm.nb (count  ~  treat.x + colony   + pol.cons.scaled + nec.cons.scaled , data = counts.wings)
m20<- glm.nb (count  ~  treat.x + colony    + nec.cons.scaled + inoc.date.x, data = counts.wings)
m21<- glm.nb (count  ~  treat.x    + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m22<- glm.nb (count  ~    colony   + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m23<- glm.nb (count  ~  treat.x   + mm + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m24<- glm.nb (count  ~  treat.x   + mm + pol.cons.scaled + nec.cons.scaled , data = counts.wings)
m26<- glm.nb (count  ~  treat.x   + mm  + nec.cons.scaled + inoc.date.x, data = counts.wings)
m27<- glm.nb (count  ~    mm + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m28<- glm.nb (count  ~  treat.x    + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m29<- glm.nb (count  ~    colony  + mm + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m30<- glm.nb (count  ~    colony  + mm + pol.cons.scaled + nec.cons.scaled , data = counts.wings)
m32<- glm.nb (count  ~    colony  + mm  + nec.cons.scaled + inoc.date.x, data = counts.wings)
m33<- glm.nb (count  ~    colony   + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)
m34<- glm.nb (count  ~    mm + pol.cons.scaled + nec.cons.scaled + inoc.date.x, data = counts.wings)

# so we will only test these following models that do converge:
m3<- glm.nb (count  ~  treat.x + colony  + mm + pol.cons.scaled +nic.cons.scaled+ana.cons.scaled , data = counts.wings)
m4<- glm.nb (count  ~  treat.x + colony  + mm   , data = counts.wings)
m5<- glm.nb (count  ~  treat.x + colony     , data = counts.wings)
m6<- glm.nb (count  ~  treat.x      , data = counts.wings)
m7<- glm.nb (count  ~  treat.x + colony  + mm + pol.cons.scaled  +inoc.date.x, data = counts.wings)
m14<- glm.nb (count  ~  treat.x + colony  + mm   + inoc.date.x, data = counts.wings)
m25<- glm.nb (count  ~  treat.x   + mm + pol.cons.scaled  + inoc.date.x, data = counts.wings)
m31<- glm.nb (count  ~    colony  + mm + pol.cons.scaled  + inoc.date.x, data = counts.wings)
m32<- glm.nb (count  ~   treat.x+nec.cons.scaled   , data = counts.wings)
m35<- glm.nb (count  ~  treat.x + colony  + mm  +nic.cons.scaled+pol.cons.scaled , data = counts.wings)
m36<- glm.nb (count  ~  treat.x + colony  + mm  +nic.cons.scaled , data = counts.wings)
m37<- glm.nb (count  ~  treat.x + colony  + mm  +ana.cons.scaled , data = counts.wings)
m38<- glm.nb (count  ~  treat.x + colony  + mm  +nic.cons.scaled*pol.cons.scaled , data = counts.wings)


AIC(m3,m4,m5,m6,m7,m14,m25,m31, m35, m36, m37, m38)
#m4 is the best model

# since it does not include pollen consumption as a covariate, we can add int
# the previous two datapoints that had to be excluded due to lack of pollen consumption data


counts2 <- read.csv(file="beetrials.csv", na.strings = (''),header=T)
counts2$bee.id <- as.factor(counts2$bee.id) # make bee ID a factor

wings2 <- read.csv(file="wings.csv", na.strings = (''), header=T)
wings2$bee.id<- as.factor(wings2$bee.id)


### merge wing data and main data frame ###
counts.wings2 <- merge (counts2, wings2, by=c("bee.id"))


## relevel to have control as reference level
counts.wings2$treat.x <- relevel(counts.wings2$treat.x, ref="C")

table(counts.wings2$treat.x)

# complete cases
counts.wings2 <- counts.wings2[complete.cases(counts.wings2$count), ] 
counts.wings2 <- counts.wings2[complete.cases(counts.wings2$mm), ] 




m4.full<- glm.nb (count  ~  treat.x + colony  + mm   , data = counts.wings2)
summary(m4.full)
summary(m4)

# drop the treatment with low replication and see if you get the same answer



nolowrep <-  subset(counts.wings2, treat.x != "AL")
m4.full.nolow <- glm.nb (count  ~  treat.x + colony  + mm   , data = nolowrep)

summary(m4.full.nolow)
m4.nolow.notreat<- glm.nb (count  ~    colony  + mm   , data = counts.wings2)
# is significant without low rep?
anova(m4.full.nolow,m4.nolow.notreat, test="Chisq")


# ok since its still significant without low replication, we will use the full model, including treatment group with low replication
# colony, bee size and diet all matter
m4.notreat<- glm.nb (count  ~    colony  + mm   , data = counts.wings2)
m4.nocolony<- glm.nb (count  ~  treat.x   + mm   , data = counts.wings2)
m4.nomm<- glm.nb (count  ~  treat.x + colony     , data = counts.wings2)

# is diet treatment significant?
anova(m4.full,m4.notreat, test="Chisq")

#is colony significnat?
anova(m4.full,m4.nocolony, test="Chisq")

# is bee size significant?
anova(m4.full,m4.nomm, test="Chisq")

####%%%%%%%%%%%%%%%%%%%%%%%%

contrasts(counts.wings$treat.x) <- cbind(c(-1,1,0,0,0), c(-1,0,1,0,0), c(-1,0,0,1,0), c(-1,0,0,0,1)) 

#control vs. AMF/high, 
#control vs AMF/low, 
#control vs. no AMF/high, 
#control vs. no AMF/low.  

#Control is significantly lower than no AMF/high, 
# an Control is significantly higher than no AMF/low.  
#Control does not differ from either of the AMF treatments



library(multcomp)
m4.full<- glm.nb (count  ~  treat.x + colony  + mm   , data = counts.wings2)
glht.mod <- glht(m4.full)
summary(glht.mod)
summary(glht.mod, test=adjusted("fdr"))


###


## without AMF, high and low fertilizer groups differed
# no other pairwise differences

#let's back transform estimates

library(emmeans)

m4.full.emm.s <- emmeans(m4.full,~ treat.x)

summary(m4.full.emm.s, infer=TRUE, null=log(35))
summary(m4.full.emm.s, infer=TRUE, null=log(35), type="response")



# Make a figure using model predictions

new=data.frame(counts.wings2$treat.x, counts.wings2$count)


colnames(new)=c("x","y")


# create vector of data
my_vector=c(8.034507,5.953607,5.680555,11.634705,2.245550)


dat <- data.frame(amf = c("Control","AMF+","AMF+","AMF-","AMF-"), 
                  fert=c("Control","High","Low","High","Low"))



secounts <- c(1.960086, 1.552206,2.946639,2.355732,1.102627)


plot.df<-cbind(my_vector,dat)


plot.df$width <- .75
plot.df

plot.df[1,c('width')] <- (.75/2)
plot.df
library(ggplot2)
countplot1<-ggplot(plot.df, aes(x=fert, y=my_vector, fill=amf))+scale_y_continuous(expand = c(0,0))+
  geom_bar(position = position_dodge(width=.75), stat="identity", aes(width=width)) +theme_classic()+
  scale_fill_manual(values=c('gray15','gold1', 'gray77'))+
  geom_bar(stat="identity",color="black",position=position_dodge(width=.75), aes(width=width))
countplot1



countplot2<- countplot1+
  theme(axis.title.x=element_text(size=18, face="bold")) + theme(axis.title.y=element_text(size=18, face="bold")) +
  theme (axis.text=element_text(size=15, color="black")) +
  theme(legend.box.background=element_rect(),
        legend.box.margin=margin(2,2,2,2))+ 
  theme(legend.text=element_text(size=12)) +
  theme(legend.title=element_text(size=12))+
  theme(legend.title=element_text(face="bold"))+
  geom_bar(stat="identity", color="black", position=position_dodge(width=.75), aes(width=width))+
  geom_errorbar(aes(ymin=my_vector-secounts, ymax=my_vector+secounts),
                width=.2, position = position_dodge(width=.75))+theme(axis.title.y=element_text(size=(18),angle=90))+
  labs(fill="AMF Status") + labs(y=bquote('Crithidia cell count 0.02' ~uL^-1~''), x="Fertilizer Treatment")

print(countplot2)


countplot3 <- countplot2 + ylab(expression(atop(bold('Crithidia cell count 0.02' ~uL^-1~''))))


countplot4 <- countplot3 + theme(legend.position = c (.85,.83)) +
  theme(axis.title.y = element_text(margin = margin(t = 0, r = -20, b = 0, l = 0)))


countplot4
